INTERFACE
SUBROUTINE LARMES2TL(KASLB1,KPROMA,KSTART,KPROF,KGLN,&
 & KGLX,KFLDN,KFLDX,&
 & KSTABUF,&
 & KVLAG,KWLAG,&
 & KITER,LDPLANE,LDSETTLS,&
 & LDELTRA,&
 & PURL0,PVRL0,PURL,PVRL,&
 & PURL05,PVRL05,PURL5,PVRL5,&
 & KSTTYP,PDSTRET,PC2M1,PC2P1,P4JP,PI,PDEPI,PIS2,&
 & PDTSA,PDTS62,PDTS22,&
 & PLOCEN,PMUCEN,PLSDEPI,PLATI,PIPI0,PIPI1,PIPI2,&
 & PCOLON,PSILON,PGEMU,PGSQM2,PGECLO,PGESLO,&
 & PNORDL,PNORDM,&
 & PLON,PLAT,PCOSCO,PSINCO,&
 & PSINLA,PCOPHI,PR,PS,&
 & PLON5,PLAT5,PCOSCO5,PSINCO5,&
 & PSINLA5,PCOPHI5,PR5,PS5) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
INTEGER(KIND=JPIM),INTENT(IN) :: KASLB1
INTEGER(KIND=JPIM),INTENT(IN) :: KPROMA
INTEGER(KIND=JPIM),INTENT(IN) :: KGLN
INTEGER(KIND=JPIM),INTENT(IN) :: KGLX
INTEGER(KIND=JPIM),INTENT(IN) :: KFLDN
INTEGER(KIND=JPIM),INTENT(IN) :: KFLDX
INTEGER(KIND=JPIM),INTENT(IN) :: KSTART
INTEGER(KIND=JPIM),INTENT(IN) :: KPROF
INTEGER(KIND=JPIM),INTENT(IN) :: KSTABUF(KGLN:KGLX)
INTEGER(KIND=JPIM),INTENT(IN) :: KVLAG
INTEGER(KIND=JPIM),INTENT(IN) :: KWLAG
INTEGER(KIND=JPIM),INTENT(IN) :: KITER
LOGICAL ,INTENT(IN) :: LDPLANE
LOGICAL ,INTENT(IN) :: LDSETTLS
LOGICAL ,INTENT(IN) :: LDELTRA
REAL(KIND=JPRB) ,INTENT(IN) :: PURL0(KASLB1,KFLDN:KFLDX)
REAL(KIND=JPRB) ,INTENT(IN) :: PVRL0(KASLB1,KFLDN:KFLDX)
REAL(KIND=JPRB) ,INTENT(IN) :: PURL(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PVRL(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PURL05(KASLB1,KFLDN:KFLDX)
REAL(KIND=JPRB) ,INTENT(IN) :: PVRL05(KASLB1,KFLDN:KFLDX)
REAL(KIND=JPRB) ,INTENT(IN) :: PURL5(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PVRL5(KPROMA)
INTEGER(KIND=JPIM),INTENT(IN) :: KSTTYP
REAL(KIND=JPRB) ,INTENT(IN) :: PDSTRET
REAL(KIND=JPRB) ,INTENT(IN) :: PC2M1
REAL(KIND=JPRB) ,INTENT(IN) :: PC2P1
REAL(KIND=JPRB) ,INTENT(IN) :: P4JP
REAL(KIND=JPRB) ,INTENT(IN) :: PI
REAL(KIND=JPRB) ,INTENT(IN) :: PDEPI
REAL(KIND=JPRB) ,INTENT(IN) :: PIS2
REAL(KIND=JPRB) ,INTENT(IN) :: PDTSA
REAL(KIND=JPRB) ,INTENT(IN) :: PDTS62
REAL(KIND=JPRB) ,INTENT(IN) :: PDTS22
REAL(KIND=JPRB) ,INTENT(IN) :: PLOCEN
REAL(KIND=JPRB) ,INTENT(IN) :: PMUCEN
REAL(KIND=JPRB) ,INTENT(IN) :: PLSDEPI(KGLN:KGLX)
REAL(KIND=JPRB) ,INTENT(IN) :: PLATI(KGLN:KGLX)
REAL(KIND=JPRB) ,INTENT(IN) :: PIPI0(KGLN:KGLX)
REAL(KIND=JPRB) ,INTENT(IN) :: PIPI1(KGLN:KGLX)
REAL(KIND=JPRB) ,INTENT(IN) :: PIPI2(KGLN:KGLX)
REAL(KIND=JPRB) ,INTENT(IN) :: PCOLON(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PSILON(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PGEMU(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PGSQM2(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PGECLO(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PGESLO(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PNORDL(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PNORDM(KPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PLON(KPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PLAT(KPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PCOSCO(KPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSINCO(KPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSINLA(KPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PCOPHI(KPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PR(KPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PS(KPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PLON5(KPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PLAT5(KPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PCOSCO5(KPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSINCO5(KPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSINLA5(KPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PCOPHI5(KPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PR5(KPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PS5(KPROMA)
END SUBROUTINE LARMES2TL
END INTERFACE
